package api

import (
	"vegan-barcode/internal/database"
	"vegan-barcode/internal/utils"

	"github.com/gin-gonic/gin"
)

db := nil
log := nil

func Start() error {
	router := gin.Default()

	db = database.InitializeDatabase()
	log = utils.InitializeLogger()

	s.bindRoutes(router)
	router.Run("localhost:8080")
}

// TODO: Service should get moved somewhere else. Not sure on naming.
func bindRoutes(router *gin.Engine) {

	// router.GET("/test", s.runTest)

	router.Group("/claims")
	{
		router.GET("/:barcode", handlers.GetClaimsHandler)
		// router.POST("/:barcode", s.)
	}
}
